-- Considerater
--
-- Default Profiles for different classes

Considerater.defaultProfileTable = {
  ["Death Knight"] = {
    ["Blood DPS PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "blooddps" },
    },
    ["Frost DPS PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "frostdps" },
    },
    ["Unholy DPS PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "unholydps" },
    },
    ["Frost Tank PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "frosttank" },
    },
  },
  ["Druid"] = {
    ["Balance DPS PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "balance" },
    },
    ["Cat DPS PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "feraldps" },
    },
    ["Bear Tank PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "feraltank" },
    },
    ["Resto PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "resto" },
    },
  },
  ["Hunter"] = {
    ["BM DPS PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "beast" },
    },
    ["Marks DPS PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "marks" },
    },
    ["Surv DPS PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "surv" },
    },
  },
  ["Mage"] = {
    ["Arcane PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "arcane" },
    },
    ["Fire PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "fire" },
    },
    ["Frost PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "frost" },
    },
  },
  ["Paladin"] = {
    ["Holy PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "holy" },
    },
    ["Prot PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "prot" },
    },
    ["Ret PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "retrib" },
    }
  },
  ["Priest"] = {
    ["Disc PvP"] = {
      ["STA"] = 14.5,
      ["INT"] = 7,
      ["SPI"] = 1.5,
      ["MELEE_HASTE_RATING"] = 8.1,
      ["MELEE_CRIT_RATING"] = 1.7,
      ["RESILIENCE_RATING"] = 23.2,
      ["MANA_REG"] = 10,
      ["SPELL_DMG"] = 1.2,
    },
    ["Holy PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "holy" },
    },
    ["Shadow PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "shadow" },
    },
    ["Shadow PvP"] = {
      ["STA"] = 18.75,
      ["INT"] = 0.9,
      ["MELEE_HASTE_RATING"] = 10.1,
      ["MELEE_CRIT_RATING"] = 2.1,
      ["SPELL_DMG"] = 12.5,
      ["MANA_REG"] = 2.5,
      ["RESILIENCE_RATING"] = 25,
    },
    ["Disc Heal PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "disc" },
    },
  },
  ["Rogue"] = {
    ["Assas PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "assas" },
    },
    ["Combat PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "combat" },
    },
    ["Subtlety PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "subtle" },
    },
  },
  ["Shaman"] = {
    ["Elemental PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "elem" },
    },
    ["Enhancement PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "enhance" },
    },
    ["Restoration PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "resto" },
    },
  },
  ["Warlock"] = {
    ["Affliction PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "afflic" },
    },
    ["Demonology PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "demo" },
    },
    ["Destruction PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "destro" },
    },
  },
  ["Warrior"] = {
    ["Fury DPS PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "fury" },
    },
    ["Prot Tank PvE"] = {
      ["wowhead"] = { ["category"] = "pve", ["spec"] = "prot" },
    },
  },
}

